org.apache.jmeter.testelement.property

## Class StringProperty

- java.lang.Object
- - org.apache.jmeter.testelement.property.AbstractProperty
  - - org.apache.jmeter.testelement.property.StringProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<JMeterProperty>, JMeterProperty

      public class StringProperty
      extends AbstractProperty

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.testelement.property.AbstractProperty

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringProperty()`
    `StringProperty(java.lang.String name, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringProperty` | `clone()`
    `java.lang.Object` | `getObjectValue()`
    `java.lang.String` | `getStringValue()`
    `void` | `recoverRunningVersion(TestElement owner)` Tell the property to revert to the state at the time setRunningVersion(true) was called.
    `void` | `setObjectValue(java.lang.Object v)`
    `void` | `setRunningVersion(boolean runningVersion)` Make the property a running version or turn it off as the running version.
    `void` | `setValue(java.lang.String value)` Sets the value.

    - ### Methods inherited from class org.apache.jmeter.testelement.property.AbstractProperty

      `compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getBooleanValue, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringProperty

          public StringProperty(java.lang.String name,
                                java.lang.String value)

    - #### StringProperty

          public StringProperty()

  - ### Method Detail

    - #### setRunningVersion

          public void setRunningVersion(boolean runningVersion)

      Description copied from class: `AbstractProperty`
      Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.
      Specified by:
        `setRunningVersion` in interface `JMeterProperty`
      Overrides:
        `setRunningVersion` in class `AbstractProperty`
      Parameters:
        `runningVersion` - flag whether this property is a running version
      See Also:
        `JMeterProperty.setRunningVersion(boolean)`

    - #### setObjectValue

          public void setObjectValue(java.lang.Object v)

    - #### getStringValue

          public java.lang.String getStringValue()

      See Also:
        `JMeterProperty.getStringValue()`

    - #### getObjectValue

          public java.lang.Object getObjectValue()

      See Also:
        `JMeterProperty.getObjectValue()`

    - #### clone

          public StringProperty clone()

      Specified by:
        `clone` in interface `JMeterProperty`
      Overrides:
        `clone` in class `AbstractProperty`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value.
      Parameters:
        `value` - The value to set

    - #### recoverRunningVersion

          public void recoverRunningVersion(TestElement owner)

      Tell the property to revert to the state at the time setRunningVersion(true) was called.
      Parameters:
        `owner` - the owning element

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.